
From: Michael Paxton <packo@tpg.com.au>

Correct two keys of the vp7045 remote control key mapping.

Signed-off-by: Michael Paxton <packo@tpg.com.au>
Signed-off-by: Patrick Boettcher <pb@linuxtv.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/dvb-usb/vp7045.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/dvb-usb/vp7045.c~dvb-usb-vp7045-ir-map-fix drivers/media/dvb/dvb-usb/vp7045.c
--- 25/drivers/media/dvb/dvb-usb/vp7045.c~dvb-usb-vp7045-ir-map-fix	Mon Jun 27 15:37:24 2005
+++ 25-akpm/drivers/media/dvb/dvb-usb/vp7045.c	Mon Jun 27 15:37:24 2005
@@ -120,9 +120,9 @@ static struct dvb_usb_rc_key vp7045_rc_k
 	{ 0x00, 0x4c, KEY_PAUSE },
 	{ 0x00, 0x4d, KEY_SCREEN }, /* Full screen mode. */
 	{ 0x00, 0x54, KEY_AUDIO }, /* MTS - Switch to secondary audio. */
-	{ 0x00, 0xa1, KEY_CANCEL }, /* Cancel */
+	{ 0x00, 0x0c, KEY_CANCEL }, /* Cancel */
 	{ 0x00, 0x1c, KEY_EPG }, /* EPG */
-	{ 0x00, 0x40, KEY_TAB }, /* Tab */
+	{ 0x00, 0x00, KEY_TAB }, /* Tab */
 	{ 0x00, 0x48, KEY_INFO }, /* Preview */
 	{ 0x00, 0x04, KEY_LIST }, /* RecordList */
 	{ 0x00, 0x0f, KEY_TEXT } /* Teletext */
_
